%global major_version %%(cut -d "." -f 1-2 <<<%{version})

Name:           epiphany-extensions
Version:        3.4.0
Release:        1%{?dist}
Summary:        Extensions for Epiphany, the GNOME web browser

Group:          Applications/Internet
# Documentation is GFDL
License:        GPLv2+ and GFDL
URL:            http://www.gnome.org/projects/epiphany/extensions
Source0:        http://ftp.gnome.org/pub/GNOME/sources/epiphany-extensions/%{major_version}/%{name}-%{version}.tar.xz

BuildRequires:  epiphany-devel >= %{major_version}
BuildRequires:  intltool
BuildRequires:  opensp-devel
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  rarian-compat
# Rely on epiphany(abi) once bug #808401 is fixed
Requires:       epiphany >= %{major_version}

%description
Epiphany Extensions is a collection of extensions for Epiphany, the GNOME web
browser.


%prep
%setup -q


%build
%configure \
  --disable-static \
  --with-extensions=default
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%{find_lang} %{name} --with-gnome
%{find_lang} %{name}-%{major_version} --with-gnome


%postun
if [ $1 -eq 0 ]; then
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang -f %{name}-%{major_version}.lang
%doc AUTHORS ChangeLog COPYING COPYING.README NEWS README TODO
%{_datadir}/epiphany/icons/hicolor/*/status/*
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/*.xml
# Own this directory because of bug #808401
%{_libdir}/epiphany/%{major_version}/


%changelog
* Mon Mar 30 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.4.0-1
- Update to 3.4.0
- Spec fixes

* Mon Feb 27 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.3.90-1
- Update to 3.3.90
- Spec cleanup

* Mon Oct 10 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.2.0-1.1
- Rebuild

* Sat Oct 08 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.2.0-1
- Update to 3.2.0

* Mon Apr 11 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.0.0-1
- Update to 3.0.0

* Thu Mar 24 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.91.92-1
- Update to 2.91.92

* Tue Mar 15 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> 2.91.90-1
- Update to 2.91.90
- Spec cleanup
